/*
 *  tslib/src/ts_read_raw.c
 *
 *  Copyright (C) 2003 Chris Larson.
 *
 * This file is placed under the LGPL.  Please see the file
 * COPYING for more details.
 *
 * Read raw pressure, x, y, and timestamp from a touchscreen device.
 */
#include "config.h"

#include "tslib-private.h"

#define DEBUG 1  //by crazyboy 20140224 by treego 

#ifdef DEBUG
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#endif
#include "android/log.h"

static const char *TAG="TS_READ_RAW";

#define LOGI(fmt, args...) __android_log_print(ANDROID_LOG_INFO,  TAG, fmt, ##args)
#define LOGD(fmt, args...) __android_log_print(ANDROID_LOG_DEBUG, TAG, fmt, ##args)
#define LOGE(fmt, args...) __android_log_print(ANDROID_LOG_ERROR, TAG, fmt, ##args)

int ts_read_raw(struct tsdev *ts, struct ts_sample *samp, int nr)
{
	int result = ts->list_raw->ops->read(ts->list_raw, samp, nr);
#ifdef DEBUG
	fprintf(stderr,"TS_READ_RAW----> x = %d, y = %d, pressure = %d\n", samp->x, samp->y, samp->pressure);
	LOGD("TS_READ_RAW----> x = %d, y = %d, pressure = %d\n", samp->x, samp->y, samp->pressure);
#endif
	return result;
}
